Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedStatistics

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics

public class FederatedStatistics extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FederatedStatistics.FedStatsCollectFunction`
`static class`
`FederatedStatistics.FedStatsCollection`

## Constructor Summary

Constructors
Constructor
Description
`FederatedStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addDataObject(DataObjectModel dataObject)`
`static void`
`addEvent(EventModel event)`
`static void`
`addWorkerRequest(RequestModel request)`
`static void`
`aggFedPutLineage(String serializedLineage)`
`static void`
`aggFedSerializationReuse(long bytes)`
`static String`
`displayFedIOExecStatistics()`
`static String`
`displayFedLookupTableStats()`
`static String`
`displayFedLookupTableStats(long fltGetCount, long fltEntryCount, double fltGetTime)`
`static String`
`displayFedPutLineageStats()`
`static String`
`displayFedPutLineageStats(long plCount, long plItems)`
`static String`
`displayFedReuseReadStats()`
`static String`
`displayFedReuseReadStats(long rrHits, long rrBytes)`
`static String`
`displayFedSerializationReuseStats()`
`static String`
`displayFedSerializationReuseStats(long srCount, long srBytes)`
`static String`
`displayFedWorkers()`
`static String`
`displayFedWorkerStats()`
`static String`
`displayNetworkTrafficStatistics()`
`static String`
`displayStatistics(int numHeavyHitters)`
`static String`
`displayStatistics(FederatedStatistics.FedStatsCollection fedStats, int numHeavyHitters)`
`static List<TrafficModel>`
`getCoordinatorsTrafficBytes()`
`static long`
`getFedLookupTableEntryCount()`
`static long`
`getFedLookupTableGetCount()`
`static long`
`getFedLookupTableGetTime()`
`static long`
`getFedPutLineageCount()`
`static long`
`getFedPutLineageItems()`
`static long`
`getFedReuseReadBytesCount()`
`static long`
`getFedReuseReadHitCount()`
`static long`
`getFedSerializationReuseBytes()`
`static long`
`getFedSerializationReuseCount()`
`static long`
`getTotalFedTransferCount()`
`static UtilizationModel`
`getUtilization()`
`static List<DataObjectModel>`
`getWorkerDataObjects()`
`static List<EventModel>`
`getWorkerEvents()`
`static List<RequestModel>`
`getWorkerRequests()`
`static void`
`incAsyncPrefetchCount(long c)`
`static void`
`incFederated(FederatedRequest.RequestType rqt, List<Object> data)`
`static void`
`incFedLookupTableEntryCount()`
`static void`
`incFedLookupTableGetCount()`
`static void`
`incFedLookupTableGetTime(long time)`
`static void`
`incFedReuseReadBytesCount(CacheableData<?> data)`
`static void`
`incFedReuseReadBytesCount(CacheBlock<?> cb)`
`static void`
`incFedReuseReadHitCount()`
`static void`
`incFedTransfer(Object dataObj, String host, Long pid)`
`static void`
`logServerTraffic(long read, long written)`
`static void`
`logWorkerTraffic(long read, long written)`
`static void`
`registerFedWorker(String host, int port)`
`static void`
`removeDataObjects()`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FederatedStatistics

public FederatedStatistics()

## Method Details

### logServerTraffic

public static void logServerTraffic(long read, long written)

### logWorkerTraffic

public static void logWorkerTraffic(long read, long written)

### incFederated

public static void incFederated(FederatedRequest.RequestType rqt, List<Object> data)

### incFedTransfer

public static void incFedTransfer(Object dataObj, String host, Long pid)

### incAsyncPrefetchCount

public static void incAsyncPrefetchCount(long c)

### getTotalFedTransferCount

public static long getTotalFedTransferCount()

### reset

public static void reset()

### displayFedIOExecStatistics

public static String displayFedIOExecStatistics()

### displayNetworkTrafficStatistics

public static String displayNetworkTrafficStatistics()

### registerFedWorker

public static void registerFedWorker(String host, int port)

### displayFedWorkers

public static String displayFedWorkers()

### displayFedWorkerStats

public static String displayFedWorkerStats()

### displayStatistics

public static String displayStatistics(int numHeavyHitters)

### displayStatistics

public static String displayStatistics(FederatedStatistics.FedStatsCollection fedStats, int numHeavyHitters)

### getFedLookupTableGetCount

public static long getFedLookupTableGetCount()

### getCoordinatorsTrafficBytes

public static List<TrafficModel> getCoordinatorsTrafficBytes()

### getWorkerEvents

public static List<EventModel> getWorkerEvents()

### getWorkerRequests

public static List<RequestModel> getWorkerRequests()

### getWorkerDataObjects

public static List<DataObjectModel> getWorkerDataObjects()

### addEvent

public static void addEvent(EventModel event)

### addWorkerRequest

public static void addWorkerRequest(RequestModel request)

### addDataObject

public static void addDataObject(DataObjectModel dataObject)

### removeDataObjects

public static void removeDataObjects()

### getUtilization

public static UtilizationModel getUtilization()

### getFedLookupTableGetTime

public static long getFedLookupTableGetTime()

### getFedLookupTableEntryCount

public static long getFedLookupTableEntryCount()

### getFedReuseReadHitCount

public static long getFedReuseReadHitCount()

### getFedReuseReadBytesCount

public static long getFedReuseReadBytesCount()

### getFedPutLineageCount

public static long getFedPutLineageCount()

### getFedPutLineageItems

public static long getFedPutLineageItems()

### getFedSerializationReuseCount

public static long getFedSerializationReuseCount()

### getFedSerializationReuseBytes

public static long getFedSerializationReuseBytes()

### incFedLookupTableGetCount

public static void incFedLookupTableGetCount()

### incFedLookupTableGetTime

public static void incFedLookupTableGetTime(long time)

### incFedLookupTableEntryCount

public static void incFedLookupTableEntryCount()

### incFedReuseReadHitCount

public static void incFedReuseReadHitCount()

### incFedReuseReadBytesCount

public static void incFedReuseReadBytesCount(CacheableData<?> data)

### incFedReuseReadBytesCount

public static void incFedReuseReadBytesCount(CacheBlock<?> cb)

### aggFedPutLineage

public static void aggFedPutLineage(String serializedLineage)

### aggFedSerializationReuse

public static void aggFedSerializationReuse(long bytes)

### displayFedLookupTableStats

public static String displayFedLookupTableStats()

### displayFedLookupTableStats

public static String displayFedLookupTableStats(long fltGetCount, long fltEntryCount, double fltGetTime)

### displayFedReuseReadStats

public static String displayFedReuseReadStats()

### displayFedReuseReadStats

public static String displayFedReuseReadStats(long rrHits, long rrBytes)

### displayFedPutLineageStats

public static String displayFedPutLineageStats()

### displayFedPutLineageStats

public static String displayFedPutLineageStats(long plCount, long plItems)

### displayFedSerializationReuseStats

public static String displayFedSerializationReuseStats()

### displayFedSerializationReuseStats

public static String displayFedSerializationReuseStats(long srCount, long srBytes)